Subject: Re: [SWIPL] Installing SWI-PROLOG on SuSE 7.1

From: Jan Wielemaker <[email-masked]>
Date: Mon, 9 Apr 2001 22:05:25 +0200

> I always send a similar message to this one when I want to install
> SwiPROLOG on a new Linux Version. This time I am trying to do it under
> SuSE 7.1;
> 
> When I typed:
> rpm -i pl-4.0.0-41.i386...etc...
> 
> I received the following message:
> error: failed dependencies:
>  libreadline.so.4.0 is needed by pl-4.0.0-41
> 
> So as Jan already told me once I have tried to make a link; I have typed
> somethimg lçike this:
> 
> ln -s /lib/libreadline.so.4.1 /lib/libreadline.so.4.0
> 
> However it didn't work neider

You also need rpm --nodeps to make it shut-up checking the dependencies.

Next version (4.0.3) will be built on SuSE 7.1.  Given an modestly ok
installation, installation from the source should work just fine on any
Unix system.

	-- Jan